Skip to main content

ResyncTable

Refreshes information about the associated data table from the remote database.

Debug

You can run this API directly in OpenAPI Explorer, saving you from computing signatures. After the call succeeds, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information of this API. You can use it in the Action element of RAM policy statements to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, and List.
  • Resource type: the resource types that support authorization in the operation. Details are as follows:
    • Required resource types are marked with an asterisk (*) before them.
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related operation: other permissions required to successfully perform the operation. The caller must have the permissions of related operations at the same time for the operation to succeed.
OperationAccess levelResource typeCondition keyRelated operation
dataanalysisgbi:ResyncTablenone
*All resources
*
    None
None

Request syntax

POST /gbi/refresh/table HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

tableIdKeystringYes

The unique identifier of the data table

table-AAAAAAAAFQBwSLJkUj4CYg
keepbooleanNo

Specifies whether to enable "Keep and Add". true indicates enabled.

Note Keep and Add: For tables with "Keep and Add" enabled, Xiyan retains information about associated columns and adds information about unassociated columns.

Response elements

NameTypeDescriptionExample value
object

Result

dataany

Response data

true
errorMsgstring

The error message

NoAuth
codestring

The error code

NoAuth
successboolean

true if the API call succeeded. false if it failed

true
requestIdstring

The unique ID of the request. The value is unique for each request and helps you troubleshoot issues.

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified business space.
401NoResourceAuthBad Request: Resource Auth Error.No permission on the requested resource. Make sure that the requested resource belongs to the business space specified in the current parameters.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.